# Class: MoneroConnectionSpan

## MoneroConnectionSpan()

Monero daemon connection span.

## Constructor

#### new MoneroConnectionSpan()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 4

### Methods

#### getConnectionId()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 14

#### getNumBlocks()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 23

#### getRate()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 41

#### getRemoteAddress()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 32

#### getSize()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 59

#### getSpeed()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 50

#### getStartHeight()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 68

#### setConnectionId()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 18

#### setNumBlocks()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 27

#### setRate()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 45

#### setRemoteAddress()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 36

#### setSize()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 63

#### setSpeed()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 54

#### setStartHeight()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 72

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroConnectionSpan.js, line 10